## org.omg.CORBA
Class IRObjectHelper

    java.lang.Object
      |
      +--org.omg.CORBA.IRObjectHelper

public class IRObjectHelper
extends java.lang.Object

Helper class for : IRObject

Author:
  OpenORB Compiler

Constructor Summary
`IRObjectHelper()`

Method Summary
`static IRObject` `extract(Any a)` Extract IRObject from an any
`static java.lang.String` `id()` Return the IRObject IDL ID
`static void` `insert(Any a, IRObject t)` Insert IRObject into an any
`static IRObject` `narrow(Object obj)` Narrow CORBA::Object to IRObject
`static IRObject` `read(InputStream istream)` Read IRObject from a marshalled stream
`static TypeCode` `type()` Return the IRObject TypeCode
`static IRObject` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to IRObject
`static void` `write(OutputStream ostream, IRObject value)` Write IRObject into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IRObjectHelper

    public IRObjectHelper()

Method Detail

### insert

    public static void insert(Any a,
                              IRObject t)

  Insert IRObject into an any
  Parameters:
    `a` - an any
    `t` - IRObject value

### extract

    public static IRObject extract(Any a)

  Extract IRObject from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted IRObject value

### type

    public static TypeCode type()

  Return the IRObject TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the IRObject IDL ID
  Returns:
    an ID

### read

    public static IRObject read(InputStream istream)

  Read IRObject from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed IRObject value

### write

    public static void write(OutputStream ostream,
                             IRObject value)

  Write IRObject into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - IRObject value

### narrow

    public static IRObject narrow(Object obj)

  Narrow CORBA::Object to IRObject
  Parameters:
    `obj` - the CORBA Object
  Returns:
    IRObject Object

### unchecked_narrow

    public static IRObject unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to IRObject
  Parameters:
    `obj` - the CORBA Object
  Returns:
    IRObject Object